package com.memorynotfound;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Arrays;

@WebServlet("/parameters")
public class ServletParameterExample extends HttpServlet{

    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        // get parameters from request
        String param1 = req.getParameter("param1");
        String param2 = req.getParameter("param2");
        String[] paramArray = req.getParameterValues("paramArray");

        // print the response
        resp.setContentType("text/html");
        PrintWriter out = resp.getWriter();
        out.write("<html><body>");
        out.write("<h2>Servlet 3 parameters example</h2>");
        out.write("<p>param1: " + param1 + "</p>");
        out.write("<p>param2: " + param2 + "</p>");
        out.write("<p>paramArray: " + Arrays.toString(paramArray) + "</p>");
    }

}
